Skip to content

historical_volatility ​

类别:波动率 · 标准指标 · 关键词:historical_volatility, HV, 历史波动率, 波动率, 年化波动, 对数收益率, 实际波动

返回说明

需要解读说明时,使用 POST /api/indicators?explain=true,读取 indicators[响应key].explain。指标数值位于同一对象的 columns 和 data 中。

历史波动率,年化对数收益率的标准差,衡量实际波动水平

参数 ​

参数类型默认值
lengthint10

输出列 ​

列名含义
hv—

特征信号 ​

此指标不提供独立特征信号。

仅输出年化波动率,不含方向或预先定义的异常水平。

计算请求设置 signals: true 时,此指标的 signals 为 null;普通数值与绘图仍可使用。不会自动添加交叉、背离或买卖规则。

调用示例 ​

bash
curl -X POST -H "Authorization: Bearer mq_xxx" \
  -H "Content-Type: application/json" \
  -d '{
    "exchange": "binance",
    "market":   "perp",
    "symbol":   "BTCUSDT",
    "interval": "5m",
    "limit":    100,
    "calc":     [{"name": "historical_volatility", "params": {"length": 10}}]
  }' \
  https://api.mobiusquant.ai/api/indicators

同类指标 ​

atr · bollinger · chande_kroll_stop · donchian_channels · fibonacci_bollinger_bands · keltner_channels · linear_regression_channel · mass_index

AI 交易的基础设施平台